<?php
/**
 * @version		$Id: default.php 479 2010-06-16 16:49:53Z joomlaworks $
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.gr
 * @copyright	Copyright (c) 2006 - 2010 JoomlaWorks, a business unit of Nuevvo Webware Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

?>

<!-- To move into k2.mootools.js -->

<script type="text/javascript">
	//<![CDATA[
	function submitbutton(pressbutton) {
		if (pressbutton == 'cancel') {
			submitform( pressbutton );
			return;
		}
		if (trim( document.adminForm.name.value ) == "") {
			alert( '<?php echo JText::_('A category must at least have a title!', true);?>' );
			<!-- Goon Tags Removed all code that was below this line, down to /script -->
		} else {
			<?php if(!$this->params->get('taggingSystem')): ?>
			var getSelectedTags = document.getElementById("selectedTags");
			for(i=0; i<getSelectedTags.options.length; i++) getSelectedTags.options[i].selected = true;
			<?php endif; ?>
			submitform( pressbutton );
		}
	}
	


	window.addEvent('domready', function(){
		initExtraFieldsEditor();
		$$('.deleteAttachmentButton').addEvent('click', function(e){
			e = new Event(e).stop();
			if (confirm('<?php echo JText::_('Are you sure?', true); ?>')) {
				var element = this.getParent().getParent();
				var deleteAnimation = new Fx.Style(element, 'opacity', {duration:500});
				var url = this.getProperty('href');
				new Ajax(url, {
					method: 'get',
				 	onComplete: function(){
						deleteAnimation.start(100, 0).chain(function(){element.remove();});;
				 	}
				}).request();
			}
		});

		<?php if(!$this->params->get('taggingSystem')): ?>

		<?php if( !$this->params->get('lockTags') || $this->user->gid>23): ?>
		$('newTagButton').addEvent('click', function(){
			var log = $('tagsLog');
			log.empty().addClass('tagsLoading');
			var tag=$('tag').getProperty('value');
			var url = 'index.php?option=com_k2&view=item&task=tag&tag='+tag;
			new Ajax(url, {
				method: 'get',
				onComplete: function(res){
					var jsonResponse=Json.evaluate(res);
					if (jsonResponse.status=="success"){
						var option = new Element('option',{'value':jsonResponse.id}).setHTML(jsonResponse.name).injectInside($('tags'));
					}
					(function(){
						log.setHTML(jsonResponse.msg);
						log.removeClass('tagsLoading');
					}).delay(1000);
				}
			}).request();
		});
		<?php endif; ?>

		$('addTagButton').addEvent('click', function(){
			$$('#tags option').each(function(el) {
				if (el.selected){
					el.injectInside($('selectedTags'));
				}
			});
		});

		$('removeTagButton').addEvent('click', function(){
			$$('#selectedTags option').each(function(el) {
				if (el.selected){
					el.injectInside($('tags'));
				}
			});
		});
		<?php endif; ?>

		$('catid').addEvent('change', function(){
			var selectedValue = this.value;
			var url = 'index.php?option=com_k2&view=item&task=extraFields&cid='+selectedValue;
			<?php if ($this->row->id): ?>
			url+='&id=<?php echo $this->row->id?>';
			<?php endif; ?>
			new Fx.Style($('extraFieldsContainer'), 'opacity', {
				duration: 700
			}).start(0).chain(function(){
				new Ajax(url, {
					method: 'get',
					update: $('extraFieldsContainer'),
				 	onComplete: function(){
						initExtraFieldsEditor();
						new Fx.Style($('extraFieldsContainer'), 'opacity', {
			            	duration: 700
						}).start(1);
					}
				}).request();
			})
		});

		$('browseSrv').addEvent('click', function(e){
			e = new Event(e).stop();
			SqueezeBox.initialize();
			SqueezeBox.fromElement(this, {
				handler: 'iframe',
				url: '<?php echo JURI::base()?>index.php?option=com_k2&view=item&task=filebrowser&type=image&tmpl=component',
				size: {x: 590, y: 400}
			});
		})

		$$('ul.tags').addEvent('click', function(){
			$('search-field').focus();
		})
		var completer = new Autocompleter.Ajax.Json($('search-field'), '<?php echo JURI::root()?>index.php?option=com_k2&view=item&task=tags',
			{
		    'postVar': 'q',
		    'postData': {tags:($$('ul.tags input[type=hidden]').getProperty('value')).join(",")},
		    'onRequest': function(el) {
		        $('search-field').addClass('tagsLoading');
		    },
		    'onComplete': function(el) {
		    	$('search-field').removeClass('tagsLoading');
		    }
		});


	});

	//]]>
</script>
<!-- Goon End -->
<form action="index.php" enctype="multipart/form-data" method="post" name="adminForm" id="adminForm">

  <table cellspacing="0" cellpadding="0" border="0" class="adminFormK2Container">
    <tbody>
      <tr>
        <td>
        
					<fieldset class="adminform">
						<legend><?php echo JText::_('Details');?></legend>
						<table class="admintable">
							<tr>
								<td class="key"><?php echo JText::_('Title'); ?></td>
								<td><input class="text_area k2TitleBox" type="text" name="name" id="name" value="<?php echo $this->row->name; ?>" maxlength="250" /></td>
							</tr>
							<tr>
								<td class="key"><?php echo JText::_('Title alias'); ?></td>
								<td><input class="text_area k2TitleBox" type="text" name="alias" value="<?php echo $this->row->alias; ?>" maxlength="250" /></td>
							</tr>
                             <!-- Goon -->
                             <!-- Renamed Primary category to anime type -->
							<tr>
								<td class="key"><?php	echo JText::_('Anime Type'); ?></span></td>
								<td><?php echo $this->lists['parent']; ?></td>
							</tr>
                           	<tr>
								<td class="key"><?php echo JText::_('Inherit parameter options from category'); ?></td>
								<td><?php echo $this->lists['inheritFrom']; ?> <span class="hasTip k2Notice" title="<?php echo JText::_('Inherit parameter options from category'); ?>::<?php echo JText::_('Setting this option will make this category inherit all parameters from another category, thus you don\'t have to re-set all options in this one if they are the same with another category\'s. This setting is very useful when you are creating child categories which share the same parameters with their parent category, e.g. in the case of a catalog or a news portal/magazine.'); ?>"><?php echo JText::_('Learn what this means'); ?></span></td>
							</tr>
							<tr>
								<td class="key"><?php	echo JText::_('Associated "Extra Fields Group"');	?></td>
								<td><?php echo $this->lists['extraFieldsGroup']; ?></td>
							</tr>
							<tr>
								<td class="key"><?php	echo JText::_('Published');	?></td>
								<td><?php echo $this->lists['published']; ?></td>
							</tr>						
							<tr>
								<td class="key"><?php echo JText::_('Access level'); ?></td>
								<td><?php echo $this->lists['access']; ?></td>
							</tr>
                            
<!-- Goon Tags -->		
						<tr>
							<td class="key"><?php echo JText::_('Tags'); ?></td>
							<td>
					      <?php if($this->params->get('taggingSystem')): ?>
					      <!-- Free tagging -->
								<ul class="tags">
									<?php if(isset($this->row->tags) && count($this->row->tags)): ?>
									<?php foreach($this->row->tags as $tag): ?>
									<li class="addedTag">
										<?php echo $tag->name; ?>
										<span class="tagRemove" onclick="this.getParent().remove();">x</span>
										<input type="hidden" name="tags[]" value="<?php echo $tag->name; ?>" />
									</li>
									<?php endforeach; ?>
									<?php endif; ?>
									<li class="tagAdd"><input type="text" id="search-field" /></li>
									<li class="clr"></li>
								</ul>
								<span class="k2Note">
									<?php echo JText::_('Write a tag and press "return" or "comma" to add it.'); ?>
								</span>
								<?php else: ?>
								<!-- Selection based tagging -->
								<?php if( !$this->params->get('lockTags') || $this->user->gid>23): ?>
								<div style="float:left;">
									<input type="text" name="tag" id="tag" />
									<input type="button" id="newTagButton" value="<?php echo JText::_('Add'); ?>" />
								</div>
								<div id="tagsLog"></div>
								<div class="clr"></div>

								<span class="k2Note">
									<?php echo JText::_('Write a tag and press "Add" to insert it to the available tags list.<br />New tags are appended at the bottom of the available tags list (left).'); ?>
								</span>
								<?php endif; ?>
								<table cellspacing="0" cellpadding="0" border="0" id="tagLists">
									<tr>
										<td id="tagListsLeft">
											<span><?php echo JText::_('Available tags'); ?></span>
											<?php echo $this->lists['tags'];	?>
										</td>
										<td id="tagListsButtons">
											<input type="button" id="addTagButton" value="<?php echo JText::_('Add'); ?> &raquo;" />
											<br /><br />
											<input type="button" id="removeTagButton" value="&laquo; <?php echo JText::_('Remove'); ?>" />
										</td>
										<td id="tagListsRight">
											<span><?php echo JText::_('Selected tags'); ?></span>
											<?php echo $this->lists['selectedTags']; ?>
										</td>
									</tr>
								</table>
								<?php endif; ?>
                                 <span class="hasTip k2Notice" title="<?php echo JText::_('Firebird is awesome!'); ?>::<?php echo JText::_('Firebird is so amazingly faptastic, we should all fap into his arms and rejoice! Alternatively, send lots of ecchi.'); ?>"><?php echo JText::_('Wait... what?'); ?></span>
							</td>
						</tr>
				
<!-- Goon end -->                    


</table>
					</fieldset>
                    
                    

				  <!-- Tabs start here -->
				  <div class="simpleTabs">
				  
				    <ul class="simpleTabsNavigation">
				      <li id="tabContent"><a href="#"><?php echo JText::_('Description'); ?></a></li>
				      <li id="tabImage"><a href="#"><?php echo JText::_('Image'); ?></a></li>
				    </ul>

				    <!-- Tab content -->
				    <div class="simpleTabsContent">
							<div class="k2ItemFormEditor">
								<span class="k2ItemFormEditorTitle">
									<?php echo JText::_('Category description'); ?>
								</span>
								<?php echo $this->editor; ?>
								<div class="dummyHeight"></div>
								<div class="clr"></div>
							</div>
							<div class="clr"></div>
				    </div>
				    
				    <!-- Tab image -->
				    <div class="simpleTabsContent">
							<table class="admintable">
							  <tr>
							    <td align="right" class="key"><?php echo JText::_('Category image'); ?></td>
							    <td>
							    	<input type="file" name="image" class="fileUpload" /> 
										<?php if (!empty($this->row->image)): ?>
										<img src="<?php echo JURI::root();?>media/k2/categories/<?php echo $this->row->image; ?>" alt="<?php echo $this->row->name;?>" class="k2AdminImage" /> 
							      <input type="checkbox" name="del_image" id="del_image" />
							      <label for="del_image"><?php echo JText::_('Check this box to delete current image or just upload a new image to replace the existing one'); ?></label>
							      <?php endif; ?>
							    </td>
							  </tr>
							</table>
				    </div>

					</div>
					<!-- Tabs end here -->

					<!-- K2 Category Plugins -->
					<?php if (count($this->K2Plugins)):?>
					<div class="itemPlugins">
						<?php foreach ($this->K2Plugins as $K2Plugin) : ?>
						<?php if(!is_null($K2Plugin)):?>
						<fieldset class="adminform">
							<legend><?php echo $K2Plugin->name;?></legend>
							<?php echo $K2Plugin->fields;?>
						</fieldset>
						<?php endif; ?>
						<?php endforeach; ?>
					</div>
					<?php endif;?>
					
					<div class="clr"></div>
				</td>
				<td id="adminFormK2Sidebar">
					<fieldset class="adminform">
						<legend><?php echo JText::_('Parameters');?></legend>
						<?php
						jimport('joomla.html.pane');
						$pane = & JPane::getInstance('sliders', array('allowAllClose' => true));
						echo $pane->startPane( 'content-pane' );
						
						echo $pane->startPanel( JText::_( 'Category item layout' ), 'category-item-layout' );
						echo $this->form->render('params','category-item-layout');
						echo $pane->endPanel();
						
						echo $pane->startPanel( JText::_( 'Category view options' ), 'category-view-options' );
						echo $this->form->render('params','category-view-options');
						echo $pane->endPanel();
						
						echo $pane->startPanel( JText::_( 'Item image options' ), 'image-options' );
						echo $this->form->render('params','item-image-options');
						echo $pane->endPanel();
						
						echo $pane->startPanel( JText::_( 'Item view options in category listings' ), 'item-view-options-listings' );
						echo $this->form->render('params','item-view-options-listings');
						echo $pane->endPanel();
						
						echo $pane->startPanel( JText::_( 'Item view options' ), 'item-view-options' );
						echo $this->form->render('params','item-view-options');
						echo $pane->endPanel();
						
						echo $pane->endPane();
						?>
					</fieldset>
				</td>
			</tr>
		</tbody>
	</table>
	
	<input type="hidden" name="id" value="<?php echo $this->row->id;?>" />
	<input type="hidden" name="option" value="<?php echo $option;?>" />
	<input type="hidden" name="view" value="category" />
	<input type="hidden" name="task" value="<?php echo JRequest::getVar('task'); ?>" />
	<?php echo JHTML::_('form.token'); ?>
</form>
